Index: /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/ini_archive.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/ini_archive.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/ini_archive.F	(revision 1647)
@@ -36,5 +36,4 @@
 
       USE comsoil_h
-      USE slab_ice_h, only: noceanmx
 !      use control_mod
       USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt
@@ -81,5 +80,4 @@
       INTEGER idim_tim
       INTEGER idim_nsoilmx ! "subsurface_layers" dimension ID #
-      INTEGER idim_noceanmx ! "ocean_layers" dimension ID #
       INTEGER nid,nvarid
       real sig_s(llm),s(llm)
@@ -164,5 +162,4 @@
       ierr = NF_DEF_DIM (nid, "altitude", llm, idim_llm)
       ierr = NF_DEF_DIM (nid,"subsurface_layers",nsoilmx,idim_nsoilmx)
-      ierr = NF_DEF_DIM (nid,"ocean_layers",noceanmx,idim_noceanmx)
 
       ierr = NF_DEF_DIM (nid,"index", length, idim_index)
Index: /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/iniphysiq_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/iniphysiq_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/iniphysiq_mod.F90	(revision 1647)
@@ -11,5 +11,4 @@
 
 use control_mod, only: nday 
-use surf_heat_transp_mod, only: ini_surf_heat_transp
 use infotrac, only : nqtot ! number of advected tracers
 use planete_mod, only: ini_planete_mod
@@ -53,6 +52,4 @@
 integer,intent(in) :: iflag_phys ! type of physics to be called
 
-logical :: ok_slab_ocean
-
   ! the common part for all planetary physics
   !------------------------------------------
@@ -79,13 +76,4 @@
 call ini_planete_mod(nlayer,preff,ap,bp)
 
-! for slab ocean, copy over some arrays
-ok_slab_ocean=.false. ! default value
-call getin_p("ok_slab_ocean",ok_slab_ocean)
-if (ok_slab_ocean) then
-  call ini_surf_heat_transp(ip1jm,ip1jmp1,unsairez,fext,unsaire, &
-                            cu,cuvsurcv,cv,cvusurcu,aire,apoln,apols, &
-                            aireu,airev)
-endif
-
 call inifis(klon_omp,nlayer,nqtot,pdayref,punjours,nday,ptimestep, &
             latitude,longitude,cell_area,prad,pg,pr,pcpp)
Index: /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/lect_start_archive.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/lect_start_archive.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/lect_start_archive.F	(revision 1647)
@@ -2,15 +2,11 @@
      &     date,tsurf,tsoil,emis,q2,
      &     t,ucov,vcov,ps,h,phisold_newgrid,
-     &     q,qsurf,surfith,nid,
-     &     rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
+     &     q,qsurf,surfith,nid)
 
 !      USE surfdat_h
       USE comsoil_h, ONLY: nsoilmx, layer, mlayer, volcapa, inertiedat
-      USE tracer_h, ONLY: igcm_co2_ice
       USE infotrac, ONLY: tname, nqtot
-      USE slab_ice_h, ONLY: noceanmx
 !      USE control_mod
 ! to use  'getin'
-      USE callkeys_mod, ONLY: ok_slab_ocean
       USE comvert_mod, ONLY: ap,bp,aps,bps,preff
       USE comconst_mod, ONLY: kappa,g,pi
@@ -101,10 +97,6 @@
       REAL tsurf(ngrid) ! surface temperature
       REAL tsoil(ngrid,nsoilmx) ! soil temperature
-      REAL co2ice(ngrid) ! CO2 ice layer
       REAL emis(ngrid)
       REAL q2(ngrid,llm+1),qsurf(ngrid,nqtot)
-      REAL tslab(ngrid,noceanmx)
-      REAL rnat(ngrid),pctsrf_sic(ngrid)
-      REAL tsea_ice(ngrid),sea_ice(ngrid)
 c     REAL phisfi(ngrid)
 
@@ -126,12 +118,8 @@
       real tsurfS(iip1,jjp1),tsoilS(iip1,jjp1,nsoilmx)
       real inertiedatS(iip1,jjp1,nsoilmx)
-      real co2iceS(iip1,jjp1)
       real emisS(iip1,jjp1)
       REAL q2S(iip1,jjp1,llm+1),qsurfS(iip1,jjp1,nqtot)
-      real tslabS(iip1,jjp1,noceanmx)
-      real pctsrf_sicS(iip1,jjp1),tsea_iceS(iip1,jjp1)
-      real rnatS(iip1,jjp1), sea_iceS(iip1,jjp1)
-
-      real ptotal, co2icetotal
+      
+      real ptotal
 
 c Var intermediaires : vent naturel, mais pas coord scalaire
@@ -156,16 +144,11 @@
       real, dimension(:,:,:), allocatable :: inertiedatoldnew
       real, dimension(:,:), allocatable :: psold,phisold
-      real, dimension(:,:), allocatable :: co2iceold
       real, dimension(:,:), allocatable :: tsurfold
       real, dimension(:,:), allocatable :: emisold
       real, dimension(:,:,:,:), allocatable :: qold
-      real, dimension(:,:,:), allocatable :: tslabold
-      real, dimension(:,:), allocatable :: rnatold,pctsrf_sicold
-      real, dimension(:,:), allocatable :: tsea_iceold,sea_iceold
-
 
       real tab_cntrl(100)
 
-      real ptotalold, co2icetotalold
+      real ptotalold
 
       logical :: olddepthdef=.false. ! flag
@@ -300,5 +283,4 @@
       allocate(phisold(imold+1,jmold+1))
       allocate(qold(imold+1,jmold+1,lmold,nqtot))
-      allocate(co2iceold(imold+1,jmold+1))
       allocate(tsurfold(imold+1,jmold+1))
       allocate(emisold(imold+1,jmold+1))
@@ -313,9 +295,4 @@
       allocate(mlayerold(nsoilold))
       allocate(qsurfold(imold+1,jmold+1,nqtot))
-      allocate(tslabold(imold+1,jmold+1,noceanmx))
-      allocate(rnatold(imold+1,jmold+1))
-      allocate(pctsrf_sicold(imold+1,jmold+1))
-      allocate(tsea_iceold(imold+1,jmold+1))
-      allocate(sea_iceold(imold+1,jmold+1))
 
       allocate(var (imold+1,jmold+1,llm))
@@ -332,5 +309,5 @@
 C-----------------------------------------------------------------------
 c 3.1. Lecture du tableau des parametres du run 
-c     (pour  la lecture ulterieure de "ptotalold" et "co2icetotalold")
+c     (pour  la lecture ulterieure de "ptotalold")
 c-----------------------------------------------------------------------
 c
@@ -556,8 +533,7 @@
 
 C-----------------------------------------------------------------------
-c   lecture de "ptotalold" et "co2icetotalold"
+c   lecture de "ptotalold"
 c-----------------------------------------------------------------------
       ptotalold = tab_cntrl(tab0+49)
-      co2icetotalold = tab_cntrl(tab0+50)
  
 c-----------------------------------------------------------------------
@@ -636,5 +612,5 @@
 
 c-----------------------------------------------------------------------
-c 5.1 Lecture des champs 2D (co2ice, emis,ps,tsurf,Tg[10], qsurf)
+c 5.1 Lecture des champs 2D (emis,ps,tsurf,Tg[10], qsurf)
 c-----------------------------------------------------------------------
  
@@ -642,21 +618,5 @@
       count=(/imold+1,jmold+1,1,0/)
        
-! CO2ice is now in qsurf(igcm_co2_ice) ...
-!      ierr = NF_INQ_VARID (nid, "co2ice", nvarid)
-!      IF (ierr .NE. NF_NOERR) THEN
-!         PRINT*, "lect_start_archive: Le champ <co2ice> est absent"
-!         CALL abort
-!      ENDIF
-!#ifdef NC_DOUBLE
-!      ierr = NF_GET_VARA_DOUBLE(nid, nvarid,start,count,co2iceold)
-!#else
-!      ierr = NF_GET_VARA_REAL(nid, nvarid,start,count,co2iceold)
-!#endif
-!      IF (ierr .NE. NF_NOERR) THEN
-!         PRINT*, "lect_start_archive: Lecture echouee pour <co2ice>"
-!         PRINT*, NF_STRERROR(ierr)
-!         CALL abort
-!      ENDIF
-c
+
       ierr = NF_INQ_VARID (nid, "emis", nvarid)
       IF (ierr .NE. NF_NOERR) THEN
@@ -718,81 +678,5 @@
          CALL abort
       ENDIF
-c
-cc Slab ocean
-      if(ok_slab_ocean) then
-      start=(/1,1,1,memo/)
-      count=(/imold+1,jmold+1,noceanmx,1/)
-
-       ierr=NF_INQ_VARID(nid,"tslab",nvarid)
-       IF (ierr.ne.NF_NOERR) then
-          PRINT*,"lect_start_archive: Cannot find <tslab>"
-       ENDIF
-#ifdef NC_DOUBLE
-      ierr=NF_GET_VARA_DOUBLE(nid,nvarid,start,count,tslabold)
-#else
-      ierr=NF_GET_VARA_REAL(nid,nvarid,start,count,tslabold)
-#endif
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Lecture echouee pour <tslab>"
-      ENDIF
-
-
-c
-      start=(/1,1,memo,0/)
-      count=(/imold+1,jmold+1,1,0/)
-
-      ierr = NF_INQ_VARID (nid, "rnat", nvarid)
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Le champ <rnat> est absent"
-      ENDIF
-#ifdef NC_DOUBLE
-      ierr = NF_GET_VARA_DOUBLE(nid, nvarid,start,count,rnatold)
-#else
-      ierr = NF_GET_VARA_REAL(nid, nvarid,start,count,rnatold)
-#endif
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Lecture echouee pour <rnat>"
-      ENDIF
-c
-      ierr = NF_INQ_VARID (nid, "pctsrf_sic", nvarid)
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Le champ <pctsrf_sic> est absent"
-      ENDIF
-#ifdef NC_DOUBLE
-      ierr = NF_GET_VARA_DOUBLE(nid, nvarid,start,count,pctsrf_sicold)
-#else
-      ierr = NF_GET_VARA_REAL(nid, nvarid,start,count,pctsrf_sicold)
-#endif
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Lecture echouee pour <pctsrf_sic>"
-      ENDIF
-c
-      ierr = NF_INQ_VARID (nid, "tsea_ice", nvarid)
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Le champ <tsea_ice> est absent"
-      ENDIF
-#ifdef NC_DOUBLE
-      ierr = NF_GET_VARA_DOUBLE(nid, nvarid,start,count,tsea_iceold)
-#else
-      ierr = NF_GET_VARA_REAL(nid, nvarid,start,count,tsea_iceold)
-#endif
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Lecture echouee pour <tsea_ice>"
-      ENDIF
-c
-      ierr = NF_INQ_VARID (nid, "sea_ice", nvarid)
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Le champ <sea_ice> est absent"
-      ENDIF
-#ifdef NC_DOUBLE
-      ierr = NF_GET_VARA_DOUBLE(nid, nvarid,start,count,sea_iceold)
-#else
-      ierr = NF_GET_VARA_REAL(nid, nvarid,start,count,sea_iceold)
-#endif
-      IF (ierr .NE. NF_NOERR) THEN
-         PRINT*, "lect_start_archive: Lecture echouee pour <sea_ice>"
-      ENDIF
-  
-      ENDIF! ok_slab_ocean
+
 c
       write(*,*)"lect_start_archive: rlonuold:"
@@ -813,13 +697,4 @@
 
       DO iq=1,nqtot
-          txt=trim(tname(iq))//"_surf"
-          if (txt.eq."h2o_vap") then
-            ! There is no surface tracer for h2o_vap;
-            ! "h2o_ice" should be loaded instead
-            txt="h2o_ice_surf"
-            write(*,*) 'lect_start_archive: loading surface tracer',
-     &                     ' h2o_ice instead of h2o_vap'
-          endif
-
         
         write(*,*) "lect_start_archive: loading tracer ",trim(txt)
@@ -1045,8 +920,4 @@
      &                   rlonuold,rlatvold,rlonu,rlatv)
 
-! CO2 ice is now in qsurf(igcm_co2_ice)
-!      call interp_horiz (co2iceold,co2ices,imold,jmold,iim,jjm,1,
-!     &                   rlonuold,rlatvold,rlonu,rlatv)
-
 c Temperature de surface
       call interp_horiz (tsurfold,tsurfs,imold,jmold,iim,jjm,1,
@@ -1088,20 +959,5 @@
          END DO
       END DO
-      co2icetotal = 0.
-      if (igcm_co2_ice.ne.0) then
-        ! recast surface CO2 ice on new grid
-        call interp_horiz(qsurfold(1,1,igcm_co2_ice),
-     &                  qsurfs(1,1,igcm_co2_ice),
-     &                  imold,jmold,iim,jjm,1,
-     &                  rlonuold,rlatvold,rlonu,rlatv)
-       DO j=1,jjp1
-         DO i=1,iim
-           !co2icetotal = co2icetotal + co2iceS(i,j)*aire(i,j)
-           co2icetotal=co2icetotal+qsurfS(i,j,igcm_co2_ice)*aire(i,j)
-         END DO
-       END DO
-      else
-        write(*,*) "Warning: No co2_ice surface tracer"
-      endif
+      
 
       write(*,*)
@@ -1110,11 +966,4 @@
       write (*,*) 'Ratio new atm./ old atm =', ptotal/ptotalold 
       write(*,*)
-      write(*,*)'Ancienne grille: masse de la glace CO2:',co2icetotalold
-      write(*,*)'Nouvelle grille: masse de la glace CO2:',co2icetotal
-      if (co2icetotalold.ne.0.) then
-      write(*,*)'Ratio new ice./old ice =',co2icetotal/co2icetotalold
-      endif
-      write(*,*)
-
 
       DO j=1,jjp1
@@ -1124,13 +973,4 @@
       END DO
 
-      if ( co2icetotalold.gt.0.) then 
-!         DO j=1,jjp1
-!            DO i=1,iip1
-!               co2iceS(i,j)=co2iceS(i,j) * co2icetotalold/co2icetotal
-!            END DO
-!         END DO
-        write(*,*) "Not enforcing conservation of surface CO2 ice"
-        write(*,*) " (should be OK when CO2 ice is a tracer)"
-      end if
 
 c-----------------------------------------------------------------------
@@ -1290,28 +1130,5 @@
 
 c-----------------------------------------------------------------------
-c 6.3   Slab Ocean :
-c-----------------------------------------------------------------------
-      call interp_horiz (tslabold,tslabs,imold,jmold,iim,jjm,noceanmx,
-     &                   rlonuold,rlatvold,rlonu,rlatv)
-      call gr_dyn_fi (noceanmx,iim+1,jjm+1,ngrid,tslabs,tslab)
-
-      call interp_horiz (rnatold,rnats,imold,jmold,iim,jjm,1,
-     &                   rlonuold,rlatvold,rlonu,rlatv)
-      call gr_dyn_fi (1,iim+1,jjm+1,ngrid,rnats,rnat)
-
-      call interp_horiz (pctsrf_sicold,pctsrf_sics,imold,jmold,iim,
-     &                   jjm,1,rlonuold,rlatvold,rlonu,rlatv)
-      call gr_dyn_fi (1,iim+1,jjm+1,ngrid,pctsrf_sics,pctsrf_sic)
-
-      call interp_horiz (tsea_iceold,tsea_ices,imold,jmold,iim,jjm,1,
-     &                   rlonuold,rlatvold,rlonu,rlatv)
-      call gr_dyn_fi (1,iim+1,jjm+1,ngrid,tsea_ices,tsea_ice)
-
-      call interp_horiz (sea_iceold,sea_ices,imold,jmold,iim,jjm,1,
-     &                   rlonuold,rlatvold,rlonu,rlatv)
-      call gr_dyn_fi (1,iim+1,jjm+1,ngrid,sea_ices,sea_ice)
-
-c-----------------------------------------------------------------------
-c 6.4 Variable 3d :
+c 6.3 Variable 3d :
 c-----------------------------------------------------------------------
       
@@ -1434,7 +1251,4 @@
          end do
       enddo
-      
-!      call gr_dyn_fi (1,iim+1,jjm+1,ngrid,co2ices,co2ice)
-! no need to transfer "co2ice" any more; it is in qsurf(igcm_co2_ice)
 
       endif !! if nqtot .ne. 0
@@ -1470,5 +1284,4 @@
       deallocate(phisold)
       deallocate(qold)
-      deallocate(co2iceold)
       deallocate(tsurfold)
       deallocate(emisold)
@@ -1482,9 +1295,4 @@
       deallocate(qsurfold)
       deallocate(var,varp1)
-      deallocate(tslabold)
-      deallocate(rnatold)
-      deallocate(pctsrf_sicold)
-      deallocate(tsea_iceold)
-      deallocate(sea_iceold)
 
 !      write(*,*)'lect_start_archive: END'
